FROM ubi9/ubi as builder

USER root
RUN dnf install -y gcc openssl-devel wget

RUN useradd unrealirc
USER unrealirc

RUN cd /home/unrealirc/ && \
    wget --trust-server-names https://www.unrealircd.org/downloads/unrealircd-latest.tar.gz -P /home/unrealirc && \
    tar xzvf unrealircd-6.1.1.1.tar.gz && \
    cd unrealircd-6.1.1.1 && \
    ./Config && \
    make && \
    make install 

RUN cd ~/unrealircd && \
    cp conf/examples/example.conf conf/unrealircd.conf

FROM ubi9/ubi-minimal
RUN microdnf install -y shadow-utils openssl sudo && \
    useradd unrealirc


COPY --from=builder /home/unrealirc/unrealircd /home/unrealirc/unrealircd

RUN chmod -R a+rx /home/unrealirc

COPY unrealircd-sudoer /etc/sudoers.d/unrealircd
COPY unrealircd.conf /home/unrealirc/unrealircd/conf/unrealircd.conf
RUN chown unrealirc:unrealirc /home/unrealirc/unrealircd/conf/unrealircd.conf

USER unrealirc
COPY run.sh /usr/bin/run.sh
RUN ln -s /home/unrealirc/unrealircd/conf/cert-tls/tls.crt /home/unrealirc/unrealircd/conf/tls/server.cert.pem
CMD ["/usr/bin/run.sh"]
